groff-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[groff] 04/08: [mdoc]: Add tests for CS and CT register support.


From: G. Branden Robinson
Subject: [groff] 04/08: [mdoc]: Add tests for CS and CT register support.
Date: Sat, 31 Oct 2020 23:48:22 -0400 (EDT)

gbranden pushed a commit to branch master
in repository groff.

commit 9c1774b08ae3d5985107918e6dc36b3eabefb64e
Author: G. Branden Robinson <g.branden.robinson@gmail.com>
AuthorDate: Sun Nov 1 00:50:14 2020 +1100

    [mdoc]: Add tests for CS and CT register support.
---
 tmac/tests/doc-CS_works.sh | 42 ++++++++++++++++++++++++++++++++++++++++++
 tmac/tests/doc-CT_works.sh | 42 ++++++++++++++++++++++++++++++++++++++++++
 tmac/tmac.am               |  2 ++
 3 files changed, 86 insertions(+)

diff --git a/tmac/tests/doc-CS_works.sh b/tmac/tests/doc-CS_works.sh
new file mode 100755
index 0000000..dfcc0f0
--- /dev/null
+++ b/tmac/tests/doc-CS_works.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# Copyright (C) 2020 Free Software Foundation, Inc.
+#
+# This file is part of groff.
+#
+# groff is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# groff is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+groff="${abs_top_builddir:-.}/test-groff"
+
+DOCUMENT=\
+'.Dd 2020-10-31
+.Dt sample 1
+.Os
+.Sh Name
+.Nm sample
+.Nd test subject for groff'
+
+echo "testing -rCS=0" >&2
+echo "$DOCUMENT" | "$groff" -rCS=0 -Tascii -P-cbou -mdoc \
+       | grep -q Name || exit 1
+
+echo "testing -rCS=1" >&2
+echo "$DOCUMENT" | "$groff" -rCS=1 -Tascii -P-cbou -mdoc \
+       | grep -q NAME || exit 1
+
+echo "testing default (no -rCS argument)" >&2
+echo "$DOCUMENT" | "$groff" -Tascii -P-cbou -mdoc \
+       | grep -q Name || exit 1
+
+# vim:set ai et sw=4 ts=4 tw=72:
diff --git a/tmac/tests/doc-CT_works.sh b/tmac/tests/doc-CT_works.sh
new file mode 100755
index 0000000..04c4db7
--- /dev/null
+++ b/tmac/tests/doc-CT_works.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# Copyright (C) 2020 Free Software Foundation, Inc.
+#
+# This file is part of groff.
+#
+# groff is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# groff is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+groff="${abs_top_builddir:-.}/test-groff"
+
+DOCUMENT=\
+'.Dd 2020-10-31
+.Dt sample 1
+.Os
+.Sh Name
+.Nm sample
+.Nd test subject for groff'
+
+echo "testing -rCT=0" >&2
+echo "$DOCUMENT" | "$groff" -rCT=0 -Tascii -P-cbou -mdoc \
+       | grep -q 'sample(1)' || exit 1
+
+echo "testing -rCT=1" >&2
+echo "$DOCUMENT" | "$groff" -rCT=1 -Tascii -P-cbou -mdoc \
+       | grep -q 'SAMPLE(1)' || exit 1
+
+echo "testing default (no -rCT argument)" >&2
+echo "$DOCUMENT" | "$groff" -Tascii -P-cbou -mdoc \
+       | grep -q 'sample(1)' || exit 1
+
+# vim:set ai et sw=4 ts=4 tw=72:
diff --git a/tmac/tmac.am b/tmac/tmac.am
index 64f6ac1..55955fe 100644
--- a/tmac/tmac.am
+++ b/tmac/tmac.am
@@ -173,6 +173,8 @@ tmac_TESTS = \
   tmac/tests/an-old_avoid_two-font_denial_of_service.sh \
   tmac/tests/andoc-clear-doc-traps.sh \
   tmac/tests/andoc-flush-between-packages.sh \
+  tmac/tests/doc-CS_works.sh \
+  tmac/tests/doc-CT_works.sh \
   tmac/tests/doc-accept-mixed-case-section-headings.sh \
   tmac/tests/doc-smoke-test.sh \
   tmac/tests/s_R-handles-its-arguments.sh \



reply via email to

[Prev in Thread] Current Thread [Next in Thread]